#!/bin/bash

set -e

#dart run build_runner build --delete-conflicting-outputs
flutter build appbundle --flavor prod --target-platform android-arm,android-arm64,android-x64
flutter build ipa --flavor prod

cd android
fastlane android deploy_prod
cd ../ios
fastlane ios deploy_prod_tf

echo "Deployment completed successfully!"